Subject: bug#24246: closed (Re: bug#24246: 25.0.95; (c++-mode) custom/extra types not getting highlighted (as a type) after a wrapper::type argument.)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 18 Aug 2016 09:51:02 +0000

Your bug report

#24246: 25.0.95; (c++-mode) custom/extra types not getting highlighted (as a type) after a wrapper::type argument.

which was filed against the emacs,cc-mode package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
24246: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=24246
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#24246: 25.0.95; (c++-mode) custom/extra types not getting highlighted (as a type) after a wrapper::type argument.
From: Alan Mackenzie <[email-masked]>
To: Arash <[email-masked]>, [email-masked]
Date: Thu, 18 Aug 2016 09:49:33 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello, Arash.

On Thu, Aug 18, 2016 at 12:33:33AM +0430, Arash wrote:
> Thanks, fontification for function decs/defs got fixed but the problem
> still exists in e.g. init step of a for loop...

> for (wrapper::type a = 0, int32 b = 0; ; ) {
>     ...
> }

This is actually a different bug - if you delete the "::", the problem
is still there.  I've submitted bug #24258 for this problem, and I'm
working on it.

I'm closing the original bug now, since it appears to be fixed.

-- 
Alan Mackenzie (Nuremberg, Germany).

Subject: 25.0.95; (c++-mode) custom/extra types not getting highlighted (as a type) after a wrapper::type argument.
From: Arash <[email-masked]>
To: [email-masked]
Date: Wed, 17 Aug 2016 01:24:17 +0430
List-Id: <debbugs-submit.debbugs.gnu.org>

$ emacs -Q ab.cc

typedef int int32;

namespace wrapper {
    enum type { a, b, c };
}

// int32 doesn't get highlighted as a type.
void test(wrapper::type A, int32 B);

typedef wrapper::type wtype;

// here it works, so double colon is the problem?
void test(wtype A, int32 B);